petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSwarmSetPointCoordinates

Set point coordinates in a DMSwarm from a user defined list

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmSetPointCoordinates(DM dm,PetscInt npoints,PetscReal coor[],PetscBool redundant,InsertMode mode)

Collective on dm

### Input parameters

| dm | - the DMSwarm
| npoints | - the number of points to insert
| coor | - the coordinate values
| redundant | - if set to PETSC_TRUE, it is assumed that npoints and coor[] are only valid on rank 0 and should be broadcast to other ranks
| mode | - indicates whether to append points to the swarm (ADD_VALUES), or over-ride existing points (INSERT_VALUES)

### Notes

If the user has specified redundant = PETSC_FALSE, the cell DM will attempt to locate the coordinates provided by coor[] within its sub-domain. If they any values within coor[] are not located in the sub-domain, they will be ignored and will not get added to the DMSwarm.

### See Also

DMSwarmSetType(), DMSwarmSetCellDM(), DMSwarmType, DMSwarmSetPointsUniformCoordinates()

### Level

beginner

### Location

src/dm/impls/swarm/swarmpic.c
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages